r6961 - /scripts/qa/xvcscheck

gregoa-guest at users.alioth.debian.org gregoa-guest at users.alioth.debian.org
Sun Aug 19 21:22:15 UTC 2007


Author: gregoa-guest
Date: Sun Aug 19 21:22:15 2007
New Revision: 6961

URL: http://svn.debian.org/wsvn/?sc=1&rev=6961
Log:
check in xvcscheck -- script to check for and add missing XS-Vcs-(Svn|Browser) fields

Added:
    scripts/qa/xvcscheck   (with props)

Added: scripts/qa/xvcscheck
URL: http://svn.debian.org/wsvn/scripts/qa/xvcscheck?rev=6961&op=file
==============================================================================
--- scripts/qa/xvcscheck (added)
+++ scripts/qa/xvcscheck Sun Aug 19 21:22:15 2007
@@ -1,0 +1,57 @@
+#!/bin/sh
+
+# Copyright 2007 gregor herrmann <gregor+debian at comodo.priv.at>
+# Released under the terms of the GNU GPL version 2
+#
+# Checks for and adds missing XS-Vcs-(Svn|Browser) fields in all
+# debian/control files in trunk/
+# To be run one directory above trunk/
+
+CHANGED=0
+
+echo "Running svn up trunk/ ..."
+svn up trunk/
+
+echo "Grepping through packages ..."
+for p in $(ls trunk -1); do 
+  [ "$p" = "build-area" ] && continue
+  [ "$p" = "tarballs" ] && continue
+  
+	if ! grep XS-Vcs-Svn trunk/$p/debian/control > /dev/null; then
+		CHANGED=1
+		echo "$p: adding missing XS-Vcs-Svn field"
+		perl -pi -e "s;(Standards-Version:.+);\$1\nXS-Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/$p/;" trunk/$p/debian/control
+	fi
+	if ! grep XS-Vcs-Browser trunk/$p/debian/control > /dev/null; then
+		CHANGED=1
+		echo "$p: adding missing XS-Vcs-Browser field"
+		perl -pi -e "s;(XS-Vcs-Svn:.+);\$1\nXS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-perl/trunk/$p/;" trunk/$p/debian/control
+	fi
+done
+
+if [ "$CHANGED" = "1" ]; then
+
+	read -p "Show svn diff trunk/ (y|N)? " DIFF
+	case $DIFF in
+		y|Y)
+			svn diff trunk/ | less
+			;;
+		*)
+			;;
+	esac
+
+	read -p "Commit (y|N)? " COMMIT
+	case $COMMIT in
+		y|Y)
+			svn ci -m "Add missing XS-Vcs-(Svn|Browser) field(s) to debian/control." trunk/
+			break
+			;;
+		*)
+			;;
+	esac
+
+else
+	echo "Nothing changed."
+fi
+
+exit 0

Propchange: scripts/qa/xvcscheck
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list